clanCore Text - ClanLib SDK
Description: clanCore Text

Classes | Functions
clanCore Text

## Classes
class | clan::Console
| Console access helper class. More...
class | clan::ConsoleLogger
| Console logger. More...
class | clan::FileLogger
| File logger. More...
class | clan::Logger
| Logger interface. More...
class | clan::StringFormat
| String formatting class. More...
class | clan::StringHelp
| String helper functions. More...
class | clan::UTF8_Reader
| UTF8 reader helper functions. More...

## Functions
template<class Arg1>
void | clan::log_event (const std::string &type, const std::string &format, Arg1 arg1)
template<class Arg1, class Arg2>
void | clan::log_event (const std::string &type, const std::string &format, Arg1 arg1, Arg2 arg2)
template<class Arg1, class Arg2, class Arg3>
void | clan::log_event (const std::string &type, const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3)
template<class Arg1, class Arg2, class Arg3, class Arg4>
void | clan::log_event (const std::string &type, const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4)
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>
void | clan::log_event (const std::string &type, const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5)
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>
void | clan::log_event (const std::string &type, const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5, Arg6 arg6)
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>
void | clan::log_event (const std::string &type, const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5, Arg6 arg6, Arg7 arg7)
void | clan::log_event (const std::string &type, const std::string &text)
| Log text to logger.
std::string | clan::string_format (const std::string &format)
| See clan::StringFormat for details.
template<class Arg1>
std::string | clan::string_format (const std::string &format, Arg1 arg1)
| See clan::StringFormat for details.
template<class Arg1, class Arg2>
std::string | clan::string_format (const std::string &format, Arg1 arg1, Arg2 arg2)
| See clan::StringFormat for details.
template<class Arg1, class Arg2, class Arg3>
std::string | clan::string_format (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3)
| See clan::StringFormat for details.
template<class Arg1, class Arg2, class Arg3, class Arg4>
std::string | clan::string_format (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4)
| See clan::StringFormat for details.
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>
std::string | clan::string_format (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5)
| See clan::StringFormat for details.
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>
std::string | clan::string_format (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5, Arg6 arg6)
| See clan::StringFormat for details.
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>
std::string | clan::string_format (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5, Arg6 arg6, Arg7 arg7)
| See clan::StringFormat for details.

## Detailed Description

## Function Documentation

## ◆ log_event() [1/8]

template<class Arg1>

void clan::log_event | ( | const std::string & | type,
|  | const std::string & | format,
|  | Arg1 | arg1 )

References f, and log_event().

## ◆ log_event() [2/8]

template<class Arg1, class Arg2>

void clan::log_event | ( | const std::string & | type,
|  | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2 )

References f, and log_event().

## ◆ log_event() [3/8]

template<class Arg1, class Arg2, class Arg3>

void clan::log_event | ( | const std::string & | type,
|  | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3 )

References f, and log_event().

## ◆ log_event() [4/8]

template<class Arg1, class Arg2, class Arg3, class Arg4>

void clan::log_event | ( | const std::string & | type,
|  | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4 )

References f, and log_event().

## ◆ log_event() [5/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

void clan::log_event | ( | const std::string & | type,
|  | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5 )

References f, and log_event().

## ◆ log_event() [6/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>

void clan::log_event | ( | const std::string & | type,
|  | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5,
|  | Arg6 | arg6 )

References f, and log_event().

## ◆ log_event() [7/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>

void clan::log_event | ( | const std::string & | type,
|  | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5,
|  | Arg6 | arg6,
|  | Arg7 | arg7 )

References f, and log_event().

## ◆ log_event() [8/8]

void clan::log_event | ( | const std::string & | type,
|  | const std::string & | text )

Log text to logger.

Referenced by log_event(), log_event(), log_event(), log_event(), log_event(), log_event(), and log_event().

## ◆ string_format() [1/8]

std::string clan::string_format | ( | const std::string & | format | ) |
| inline

See clan::StringFormat for details.

Referenced by clan::Style::set(), and clan::Style::to_rgba().

## ◆ string_format() [2/8]

template<class Arg1>

std::string clan::string_format | ( | const std::string & | format,
|  | Arg1 | arg1 )

See clan::StringFormat for details.

References f.

## ◆ string_format() [3/8]

template<class Arg1, class Arg2>

std::string clan::string_format | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2 )

See clan::StringFormat for details.

References f.

## ◆ string_format() [4/8]

template<class Arg1, class Arg2, class Arg3>

std::string clan::string_format | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3 )

See clan::StringFormat for details.

References f.

## ◆ string_format() [5/8]

template<class Arg1, class Arg2, class Arg3, class Arg4>

std::string clan::string_format | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4 )

See clan::StringFormat for details.

References f.

## ◆ string_format() [6/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

std::string clan::string_format | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5 )

See clan::StringFormat for details.

References f.

## ◆ string_format() [7/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>

std::string clan::string_format | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5,
|  | Arg6 | arg6 )

See clan::StringFormat for details.

References f.

## ◆ string_format() [8/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>

std::string clan::string_format | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5,
|  | Arg6 | arg6,
|  | Arg7 | arg7 )

See clan::StringFormat for details.

References f.